FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202108312109.p0.git.55dda00.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202108312109.p0.git.55dda00.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=55dda00416ba705c5ac34ad82c2cf62e128b4b48 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=13+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.13.0+55dda00 OS_GIT_COMMIT=55dda00 OS_GIT_VERSION=4.8.0-202108312109.p0.git.55dda00.assembly.stream-55dda00 SOURCE_DATE_EPOCH=1629803455 SOURCE_GIT_COMMIT=55dda00416ba705c5ac34ad82c2cf62e128b4b48 SOURCE_GIT_TAG=openshift-4.2.0-rc.3-107-g55dda0041 SOURCE_GIT_URL=https://github.com/openshift/image-registry 
WORKDIR /go/src/github.com/openshift/image-registry
COPY . .
RUN hack/build-go.sh

FROM openshift/ose-base:v4.8.0.20210831.211731
ENV __doozer=update BUILD_RELEASE=202108312109.p0.git.55dda00.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202108312109.p0.git.55dda00.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=55dda00416ba705c5ac34ad82c2cf62e128b4b48 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=13+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.13.0+55dda00 OS_GIT_COMMIT=55dda00 OS_GIT_VERSION=4.8.0-202108312109.p0.git.55dda00.assembly.stream-55dda00 SOURCE_DATE_EPOCH=1629803455 SOURCE_GIT_COMMIT=55dda00416ba705c5ac34ad82c2cf62e128b4b48 SOURCE_GIT_TAG=openshift-4.2.0-rc.3-107-g55dda0041 SOURCE_GIT_URL=https://github.com/openshift/image-registry 
RUN yum install -y rsync && yum clean all && rm -rf /var/cache/yum
COPY --from=builder /go/src/github.com/openshift/image-registry/_output/local/bin/dockerregistry /usr/bin/
COPY images/dockerregistry/config.yml /
ADD images/dockerregistry/writable-extracted.tar.gz /etc/pki/ca-trust/extracted
USER 1001
EXPOSE 5000
VOLUME /registry
ENV REGISTRY_CONFIGURATION_PATH=/config.yml
ENTRYPOINT ["sh", "-c", "update-ca-trust extract && exec \"$@\"", "arg0"]
CMD ["/usr/bin/dockerregistry"]

LABEL \
        io.k8s.display-name="OpenShift Container Platform Image Registry" \
        io.k8s.description="This is a component of OpenShift Container Platform and exposes a container registry that is integrated with the cluster for authentication and management." \
        io.openshift.tags="openshift,container,image,registry" \
        License="GPLv2+" \
        vendor="Red Hat" \
        name="openshift/ose-docker-registry" \
        com.redhat.component="openshift-enterprise-registry-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Image Registry" \
        release="202108312109.p0.git.55dda00.assembly.stream" \
        io.openshift.build.commit.id="55dda00416ba705c5ac34ad82c2cf62e128b4b48" \
        io.openshift.build.source-location="https://github.com/openshift/image-registry" \
        io.openshift.build.commit.url="https://github.com/openshift/image-registry/commit/55dda00416ba705c5ac34ad82c2cf62e128b4b48" \
        version="v4.8.0"

